# Uses of Class
com.ngrok.definitions.EndpointResponseHeaders

Packages that use EndpointResponseHeaders
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointResponseHeaders in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointResponseHeaders
  Modifier and Type
  Method
  Description
  `EndpointResponseHeaders`
  EndpointResponseHeaders.Builder.`build()`
  Constructs the `EndpointResponseHeaders` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointResponseHeaders
  Modifier and Type
  Method
  Description
  `Optional<EndpointResponseHeaders>`
  HttpsEdgeRoute.`getResponseHeaders()`
  response headers module configuration or `null`

- ## Uses of EndpointResponseHeaders in com.ngrok.services

  Methods in com.ngrok.services that return EndpointResponseHeaders
  Modifier and Type
  Method
  Description
  `EndpointResponseHeaders`
  EdgeRouteResponseHeadersModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointResponseHeaders`
  EdgeRouteResponseHeadersModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointResponseHeaders
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointResponseHeaders>`
  EdgeRouteResponseHeadersModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointResponseHeaders>`
  EdgeRouteResponseHeadersModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointResponseHeaders
  Modifier and Type
  Method
  Description
  `EdgeRouteResponseHeadersModule.ReplaceCallBuilder`
  EdgeRouteResponseHeadersModule.ReplaceCallBuilder.`module(EndpointResponseHeaders module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`responseHeaders(EndpointResponseHeaders responseHeaders)`
  response headers module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`responseHeaders(EndpointResponseHeaders responseHeaders)`
  response headers module configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointResponseHeaders
  Modifier and Type
  Method
  Description
  `EdgeRouteResponseHeadersModule.ReplaceCallBuilder`
  EdgeRouteResponseHeadersModule.ReplaceCallBuilder.`module(Optional<EndpointResponseHeaders> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`responseHeaders(Optional<EndpointResponseHeaders> responseHeaders)`
  response headers module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`responseHeaders(Optional<EndpointResponseHeaders> responseHeaders)`
  response headers module configuration or `null`